Package: groovy.json.internal

## [Java] Class ByteScanner

- groovy.json.internal.ByteScanner

- Authors:
    Richard Hightower

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `encodeByteIntoTwoAsciiCharBytes(int decoded, byte[] encoded)` Turn a single bytes into two hex character representation.
    `` | `protected static int` | `encodeNibbleToHexAsciiCharByte(int nibble)` Turns a single nibble into an ascii HEX digit.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static void encodeByteIntoTwoAsciiCharBytes(int decoded, byte[] encoded)

      Turn a single bytes into two hex character representation.

      Parameters:
        `decoded` - the byte to serializeObject.
        `encoded` - the array to which each encoded nibbles are now ascii hex representations.

    - #### protected static int encodeNibbleToHexAsciiCharByte(int nibble)

      Turns a single nibble into an ascii HEX digit.

      Parameters:
        `nibble` - the nibble to serializeObject.
      Returns:
        the encoded nibble (1/2 byte).